# Optional parameters

<table data-header-hidden><thead><tr><th width="358">Function</th><th>Description</th></tr></thead><tbody><tr><td><h2><a href="/pages/nonHZUhqHrPNaBIkNgxp"><mark style="color:blue;"><code>time_between_orders</code></mark></a></h2></td><td>Execute orders one by one with delay in seconds.</td></tr><tr><td><h2><a href="/pages/rMkbGB41111wYAn0LPs9"><mark style="color:blue;"><code>sleep_after_seconds</code></mark></a></h2></td><td>Time to sleep after grid execution in seconds.</td></tr><tr><td><h2><a href="/pages/UgcGHhuyEikeM2q1R3hC"><mark style="color:blue;"><code>is_buy_first</code></mark></a></h2></td><td>Should buy orders place first or not.</td></tr></tbody></table>

<details>

<summary>An example of a simple grid</summary>

The grid will place two sell orders and two buy orders, each at a 0.5% increment from the current market price. The order amount will be calculated as 10 divided by the current market price. Orders will be placed at 1-second intervals, with a 60-second gap between each cycle. Sell orders will be placed first.

```json
{
    "execute_price": "ticker()*(1+0.005*order_pos)",
    "execute_volume": "10/ticker()",
    "buy_orders_count": "2",
    "sell_orders_count": "2",
    "time_between_orders": "1",
    "sleep_after_seconds": "60",
    "is_buy_first": "0"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.origami.tech/function/optional-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
